@import url("https://fonts.googleapis.com/css2?family=Work+Sans:wght@100;200;300;400;500;600;700;800&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --bg-primary: #0f1e35;
  --bg-secondary: #d33e48;
  --bg-btn: linear-gradient(90deg, #d33f49, #fe7575);
  --headig: #333333;
  --disc: #656b6c;
  --black: black;
  --white: white;
}

body {
  font-family: "Work Sans", sans-serif;
}
body::-webkit-scrollbar {
  display: none;
}

.qrcode_section {
  width: 100%;
  position: relative;
}
.template-one {
  width: 100%;
  height: auto;
  border-top-right-radius: 22px;
  border-top-left-radius: 22px;
  position: relative;
}

.hero-img {
  width: 100%;
  height: 100%;
}
.hero-img img {
  width: 100%;
  height: 100%;
}

/* template 2 css */
.template-two,
.template-three {
  display: none;
}

.tem-4-Wrapper {
  display: none;
}

.two-wrapper {
  display: none;
}
/* template 2 css */

.qr_hero_texts {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background: linear-gradient(rgb(0 0 0 / 0%) 45%, rgb(0 0 0));
}

.qr_hero_wrapper {
  position: absolute;
  bottom: 40px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  width: 100%;
  left: 0;
  padding: 0 10px;
}

h2.qr_name {
  text-shadow: 2px 2px 3px rgb(0 0 0 / 59%);
  color: var(--white);
  font-size: 30px;
  word-break: break-word;
  font-weight: normal;
}

.qr_title {
  font-size: 16px;
  color: var(--white);
}

.qr_company {
  font-size: 14px;
  color: var(--white);
}
.qrc_profile_brand_logo img {
  max-width: 130px;
  max-height: 35px;
}

.qr_icons_wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
  padding: 0 10px;
  margin-top: 10px;
  margin-bottom: 2rem;
}
.qr_left_icon {
  color: var(--white);
  cursor: pointer;
  position: relative;
}
.qr_left_icon::after {
  content: "";
  display: block;
  width: 25px;
  height: 46px;
  background: linear-gradient(268deg, rgb(0 0 0 / 0%) 30%, rgb(0 0 0) 100%);
  position: absolute;
  right: -29px;
  top: -13px;
  z-index: 4;
}

.qr_left_icon i {
  font-size: 18px;
}

.qr_right_icon {
  color: var(--white);
  cursor: pointer;
  position: relative;
}

.qr_right_icon::after {
  content: "";
  display: block;
  width: 25px;
  height: 46px;
  background: linear-gradient(90deg, rgb(0 0 0 / 0%) 30%, rgb(0 0 0) 100%);
  position: absolute;
  right: 13px;
  top: -13px;
  z-index: 4;
}

.qr_right_icon i {
  font-size: 18px;
}
.qr_icons {
  display: flex;
  align-items: center;
  gap: 5px;
  overflow-x: auto;
  scroll-behavior: smooth;
}
.qr_icons::-webkit-scrollbar {
  display: none;
}

a.qr_single_icon {
  background: var(--headig);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100px;
  text-decoration: none;
  border: solid 1px #ffffff60;
}
a.qr_single_icon:hover {
  background-color: #272727;
}
a.qr_single_icon:hover i {
  color: var(--white);
}

a.qr_single_icon i {
  font-size: 18px;
  color: var(--white);
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.qr_wrapper {
  width: 95%;
  margin: auto;
}
.qr_about {
  background-color: var(--white);
  padding: 14px 10px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 3px;
  margin-top: 2rem;
}

.qr_about h2 {
  font-size: 28px;
  color: var(--headig);
  text-transform: capitalize;
}
.qr_about p {
  color: var(--disc);
}
.qr_contact_us {
  background: var(--white);
  margin-top: 1rem;
  padding: 0px 10px 10px 10px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.qr_contact_us_header {
  padding: 15px 0;
  display: flex;
  align-items: center;
  gap: 10px;
}

span.qr_contact_us_icon i {
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--black);
  border-radius: 100px;
  color: var(--white);
  font-size: 22px;
}

span.qr_contact_us_text {
  font-size: 18px;
  font-weight: 500;
  color: var(--headig);
}

.qr_contact_us_body {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.qr_contact_us_callUs {
  display: flex;
  flex-direction: column;
}

.qr_contact_us_callUs > div {
  font-size: 18px;
  text-transform: capitalize;
  color: var(--headig);
}

.qr_contact_us_callUs a {
  text-decoration: none;
  color: var(--disc);
  font-size: 15px;
}

.addressWraper {
  display: flex;
  flex-direction: column;
}
.address {
  font-size: 14px;
  color: var(--disc);
}

.qr_direction {
  display: flex;
  gap: 2px;
  padding: 5px 10px;
  border: none;
  outline: none;
  border-radius: 50px;
  background-color: var(--headig);
  color: var(--white);
  cursor: pointer;
}
.qr_direction:hover {
  background-color: #272727;
  color: var(--white);
}

/*  */
.qr_galleryWrapper {
  width: 100%;
}
.row {
  width: 95%;
  margin: 10px auto;
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: var(--white);
  border-radius: 10px;
}
.row > .column {
  width: 100%;
}
.column > img:first-child {
  border-radius: 10px;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.column {
  float: left;
  width: 25%;
}

/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: black;
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  width: 90%;
  max-width: 1200px;
}

/* The Close Button */
.close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

.mySlides {
  display: none;
}

.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

img {
  margin-bottom: -4px;
}

.caption-container {
  text-align: center;
  background-color: black;
  padding: 2px 16px;
  color: white;
}

.demo {
  opacity: 0.3;
}

.active,
.demo:hover {
  opacity: 1;
}

img.hover-shadow {
  transition: 0.3s;
}

.subColumn img {
  border-radius: 0 !important;
}

.column.subColumn {
  margin-right: 4px;
  margin-bottom: 4px;
  width: 62px;
}

.column.subColumn:last-child {
  margin-right: 0 !important;
}

.qr_bottom_elm {
  position: sticky;
  width: 100%;
  bottom: 5px;
  padding: 0 8px;
  z-index: 100;
}
.qr_bottomWrapper {
  color: var(--white);
  display: flex;
  justify-content: space-between;
  width: 100%;
  align-items: center;
  gap: 10px;
}

.qr_bottom_left {
  display: flex;
  gap: 5px;
  margin-top: 4px;
}

button.qr_bottom_right {
  display: flex;
  gap: 18px;
  padding: 10px 8px 10px 15px;
  border-radius: 100px;
  border: solid 1px #ffffff60;
  background: var(--headig);
  color: var(--white);
  align-items: center;
  cursor: pointer;
}

button.qr_qrCode {
  outline: none;
  width: 50px;
  height: 50px;
  border-radius: 100px;
  background: var(--headig);
  color: var(--white);
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  border: solid 1px #ffffff60;
}

button.qr_qrCode i {
  font-size: 22px;
  color: var(--white);
}

button.qr_upload {
  outline: none;
  width: 50px;
  height: 50px;
  border-radius: 100px;
  background: var(--headig);
  color: var(--white);
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  border: solid 1px #ffffff60;
}

button.qr_upload i {
  font-size: 15px;
  color: var(--white);
}

button.qr_qrCode {
  outline: none;
  width: 50px;
  height: 50px;
  border-radius: 100px;
  background: #333333;
  color: white;
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  border: solid 1px #ffffff60;
  cursor: pointer;
}

button.qr_qrCode:hover {
  background-color: #272727;
}

button.qr_qrCode i {
  font-size: 22px;
  color: white;
}

button.qr_upload {
  outline: none;
  width: 50px;
  height: 50px;
  border-radius: 100px;
  background: #333333;
  color: white;
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  border: solid 1px #ffffff60;
  cursor: pointer;
}
button.qr_upload:hover {
  background-color: #272727;
}

button.qr_upload i {
  font-size: 15px;
  color: white;
}

span.qr_addContent {
  display: flex;
  flex-direction: column;
  font-size: 12px;
}

button.qr_bottom_right:hover {
  background-color: #272727;
}

span.qr_addIcon {
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--white);
  color: var(--black);
  border-radius: 100px;
}

span.qr_addIcon i {
  font-size: 18px;
}

.qr_video {
  margin-top: 0;
  margin-bottom: 1rem;
  padding-left: 0;
  padding-right: 0;
  padding-bottom: 0;
  border: 1px solid gray;
  overflow: hidden;
}

/* pdf css */
.qr_pdf_wrapper {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 8px;
}

a.qr_link {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  text-decoration: none;
  background-color: white;
  border-radius: 10px;
  padding: 5px 18px 5px 10px;
}

.qr_pdf_img {
  width: 50px;
  height: 50px;
  border-radius: 100%;
}

.qr_pdf_img img {
  width: 100%;
  height: 100%;
  border-radius: 100%;
}

.pdf_description {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}
.pdf-title {
  font-size: 16px;
  color: var(--black);
}

p.pdf-des {
  font-size: 14px;
}

.pdf_icon i {
  font-size: 16px;
  color: #4f4e4e;
}

/* self link css */
.sefl-link-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 0 10px;
}
.social-links-text {
  color: var(--white);
  margin: auto;
  width: 95%;
  margin-top: 10px;
  font-size: 22px;
}

.two-wrapper,
.template-three,
.tem-4-Wrapper,
.tem-5,
.tem-6,
.tem-7,
.tem-8,
.tem-9,
.tem-10,
.tem-11,
.tem-12,
.tem-13,
.tem-14,
.tem-15,
.tem-15,
.tem-16,
.tem-17,
.tem-18,
.tem-19,
.tem-20,
.tem-21 {
  display: none;
}
